package detail

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/dictionary_admin/detail"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/dictionary/detail/update dictionary_admin/detail UpdateDictionaryDetailAdmin
//
// Update dictionary info | 更新字典项信息
//
// Update dictionary info | 更新字典项信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DictionaryDetailInfo
//

func UpdateDictionaryDetailAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.DictionaryDetailInfo
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := detail.NewUpdateDictionaryDetailAdminLogic(r, r.Context(), svcCtx)
		err := l.UpdateDictionaryDetailAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
